"use strict";

exports.__esModule = true;
exports["default"] = exports.ControlledGroupedDataTable = void 0;

var _react = _interopRequireWildcard(require("react"));

var _grommet = require("grommet");

var _data = require("./data");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var groupColumns = [].concat(_data.columns);
var first = groupColumns[0];
groupColumns[0] = _extends({}, groupColumns[1]);
groupColumns[1] = _extends({}, first);
groupColumns[0].footer = groupColumns[1].footer;
delete groupColumns[1].footer;

var ControlledGroupedDataTable = function ControlledGroupedDataTable() {
  var _useState = (0, _react.useState)([_data.DATA[2].location]),
      expandedGroups = _useState[0],
      setExpandedGroups = _useState[1];

  return (
    /*#__PURE__*/
    // Uncomment <Grommet> lines when using outside of storybook
    // <Grommet theme={grommet}>
    _react["default"].createElement(_grommet.DataTable, {
      columns: groupColumns,
      data: _data.DATA,
      groupBy: {
        property: 'location',
        expand: expandedGroups,
        onExpand: setExpandedGroups
      },
      sortable: true
    }) // </Grommet>

  );
};

exports.ControlledGroupedDataTable = ControlledGroupedDataTable;
ControlledGroupedDataTable.storyName = 'Controlled grouped';
var _default = {
  title: 'Visualizations/DataTable/Controlled grouped'
};
exports["default"] = _default;