"use strict";

exports.__esModule = true;
exports.Tag = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = require("styled-components");

var _FormClose = require("grommet-icons/icons/FormClose");

var _defaultProps = require("../../default-props");

var _propTypes = require("./propTypes");

var _Box = require("../Box");

var _Text = require("../Text");

var _StyledTag = require("./StyledTag");

var _excluded = ["name", "value", "onRemove", "onClick"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Tag = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, ref) {
  var name = _ref.name,
      value = _ref.value,
      onRemove = _ref.onRemove,
      onClick = _ref.onClick,
      rest = _objectWithoutPropertiesLoose(_ref, _excluded);

  var theme = (0, _react.useContext)(_styledComponents.ThemeContext) || _defaultProps.defaultProps.theme;

  var containerProps = _extends({
    ref: ref,
    align: 'center',
    background: theme.tag.background,
    border: theme.tag.border,
    round: theme.tag.round
  }, rest);

  var contents = /*#__PURE__*/_react["default"].createElement(_Box.Box, {
    width: {
      min: 'min-content'
    },
    pad: theme.tag.pad
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, name && /*#__PURE__*/_react["default"].createElement(_Text.Text, theme.tag.name, name), name && value ? theme.tag.separator : '', value && /*#__PURE__*/_react["default"].createElement(_Text.Text, theme.tag.value, value)));

  if (onClick && onRemove) {
    console.warn('Tag cannot combine "onClick" and "onRemove".');
  }

  return onRemove || !onClick ? /*#__PURE__*/_react["default"].createElement(_Box.Box, _extends({
    flex: false,
    direction: "row",
    width: {
      min: 'min-content'
    }
  }, containerProps), contents, onRemove && /*#__PURE__*/_react["default"].createElement(_StyledTag.StyledRemoveButton, _extends({
    onClick: onRemove,
    plain: true,
    hoverIndicator: true,
    focusIndicator: true,
    icon: /*#__PURE__*/_react["default"].createElement(_FormClose.FormClose, null),
    round: theme.tag.round
  }, theme.tag.remove))) : /*#__PURE__*/_react["default"].createElement(_StyledTag.StyledTagButton, _extends({
    flex: false,
    plain: true,
    onClick: onClick,
    hoverIndicator: true,
    focusIndicator: true
  }, containerProps), contents);
});
exports.Tag = Tag;
Tag.displayName = 'Tag';
Tag.prototype = _propTypes.TagPropTypes;